import Login from '@components/login/Login.vue';
import HomePage from '@components/common/HomePage.vue';
import MedicinePrompt from '@components/icss/MedicinePrompt.vue'   //医学术语静态知识
import AddMedicinePrompt from '@components/icss/AddMedicinePrompt.vue'   //医学术语静态知识
import ChemicalAndCommonMapping from '@components/icss/disease/ChemicalAndCommonMapping.vue'; //诊断关联维护
import AddChemicalAndCommonMapping from '@components/icss/disease/AddChemicalAndCommonMapping.vue';  //诊断关联维护--添加关联
import Lis from '@components/icss/lis/Lis.vue'; //检验关联维护
import AddLis from '@components/icss/lis/AddLis.vue';  //检验关联维护--添加关联
import Pacs from '@components/icss/pacs/Pacs.vue'; //检查关联维护
import AddPacs from '@components/icss/pacs/AddPacs.vue';  //检查关联维护--添加关联
import DrugManage from '@components/icss/drug/DrugManage.vue'; //药品关联维护
import AddDrug from '@components/icss/drug/AddDrug.vue';  //药品关联维护--添加关联
import ScaleManage from '@components/icss/scale/ScaleManage.vue'; //量表关联维护
import AddScale from '@components/icss/scale/AddScale.vue';  //量表关联维护--添加关联
import Operation from '@components/icss/operation/Operation.vue'; //手术/操作关联维护
import AddOperation from '@components/icss/operation/AddOperation.vue';  //手术/操作关联维护--添加关联
import Hemp from '@components/icss/hemp/Hemp.vue'; // 麻醉关联维护
import AddHemp from '@components/icss/hemp/AddHemp.vue'; // 麻醉关联维护-添加关联
import Fusion from '@components/icss/fusion/Fusion.vue'; //输血关联维护
import AddFusion from '@components/icss/fusion/AddFusion.vue';  //输血关联维护--添加关联
import DeptManage from '@components/icss/dept/DeptManage.vue'; //科室关联维护
import AddDept from '@components/icss/dept/AddDept.vue';  //科室关联维护--添加关联
import Correlation from '@components/icss/correlation/Correlation.vue';  //关联维护设置
import Nursing from '@components/icss/nursing/nursing.vue';  //护理关联维护
import AddNursing from '@components/icss/nursing/Addnursing.vue';  //护理关联维护--添加关联
import Drugroute from '@components/icss/drugroute/Drugroute.vue';  //给药途径关联维护
import AddDrugroute from '@components/icss/drugroute/AddDrugroute.vue';  //给药途径关联维护--添加关联

import Tcmdisease from '@components/icss/tcmdisease/tcmdisease.vue';  //中医疾病关联维护
import AddTcmdisease from '@components/icss/tcmdisease/Addtcmdisease.vue';  //中医疾病关联维护--添加关联
import Tcmdrome from '@components/icss/tcmdrome/tcmdrome.vue';  //中医疾病关联维护
import AddTcmdrome from '@components/icss/tcmdrome/AddTcmdrome.vue';  //中医疾病关联维护--添加关联

import Plan from '@components/icss/plan/Plan.vue';  //关联维护设置
import AddPlan from '@components/icss/plan/AddPlan.vue';  //关联维护设置
import Bill from '@components/icss/bill/Bill.vue';  //开单
import AddBill from '@components/icss/bill/AddBill.vue';  //开单-编辑
import ZskRuleManager from '@components/knowledgeExtra/RuleManager.vue';  //知识库规则维护
import ZskRuleCheck from '@components/knowledgeExtra/RuleCheck.vue';  //知识库规则维护
import AddZskRule from '@components/knowledgeExtra/AddNewRule.vue';   //知识库添加规则
import SonHospital from '@components/icss/sonhospital/SonHospital.vue';  //子医院维护
import CallRecordManager from '@components/callRecord/CallRecordManager.vue';  //知识库规则维护

export default [
  { path: '/', name: 'login', component: Login, },
  {
    //朗通后台
    path: '/admin', component: HomePage, meta: { requireAuth: false, },
    children: [
      { path: 'YXSYK-JTZSWH', component: MedicinePrompt, meta: { requireAuth: true, }, name: 'MedicinePrompt' }, //医学术语提示信息维护
      { path: 'LT-YXSYKWH-TJYXSYJTZS', meta: { requireAuth: true, }, component: AddMedicinePrompt, name: 'AddMedicinePrompt' }, //医学术语提示信息维护添加
      { path: 'YXSYK-ZDGLWH', component: ChemicalAndCommonMapping, meta: { requireAuth: true, }, name: 'ChemicalAndCommonMapping', }, //诊断关联维护
      { path: 'LT-ZDGLWH-TJHYDXXYGBXDY', component: AddChemicalAndCommonMapping, meta: { requireAuth: true }, name: 'AddChemicalAndCommonMapping', }, //诊断关联维护--添加关联
      { path: 'YXSYK-JYGLWH', component: Lis, meta: { requireAuth: true }, name: 'Lis' }, //检验关联维护
      { path: 'LT-JYGLWH-TJHYDXXYGBXDY', component: AddLis, meta: { requireAuth: true }, name: 'AddLis' }, //检验关联维护--添加关联
      { path: 'YXSYK-JCGLWH', component: Pacs, meta: { requireAuth: true }, name: 'Pacs' }, //检查关联维护
      { path: 'LT-JCGLWH-TJHYDXXYGBXDY', component: AddPacs, meta: { requireAuth: true }, name: 'AddPacs' }, //检查关联维护--添加关联
      { path: 'YXSYK-YPGLWH', component: DrugManage, meta: { requireAuth: true }, name: 'DrugManage' }, //药品关联维护
      { path: 'LT-YPGLWH-TJHYDXXYGBXDY', component: AddDrug, meta: { requireAuth: true }, name: 'AddDrug' }, //药品关联维护--添加关联
      { path: 'YXSYK-LBGLWH', component: ScaleManage, meta: { requireAuth: true }, name: 'ScaleManage' }, //量表关联维护
      { path: 'LT-YPLBWH-TJHYDXXYGBXDY', component: AddScale, meta: { requireAuth: true }, name: 'AddScale' }, //量表关联维护--添加关联
      { path: 'YXSYK-SSCZGLWH', component: Operation, meta: { requireAuth: true }, name: 'Operation' }, //手术/操作关联维护
      { path: 'LT-SSCZGLWH-TJHYDXXYGBXDY', component: AddOperation, meta: { requireAuth: true }, name: 'AddOperation' }, //手术/操作关联维护--添加关联
      { path: 'YXSYK-SXGLWH', component: Fusion, meta: { requireAuth: true }, name: 'Fusion' }, //输血关联维护
      { path: 'LT-SXGLWH-TJHYDXXYGBXDY', component: AddFusion, meta: { requireAuth: true }, name: 'AddFusion' }, //输血关联维护--添加关联
      { path: 'YXSYK-KSGLWH', component: DeptManage, meta: { requireAuth: true }, name: 'DeptManage' }, //科室关联维护
      { path: 'LT-KSGLWH-TJHYDXXYGBXDY', component: AddDept, meta: { requireAuth: true }, name: 'AddDept' }, //科室关联维护--添加关联
      { path: 'YXSYK-HLGLWH', component: Nursing, meta: { requireAuth: true }, name: 'Nursing' }, //护理关联维护
      { path: 'LT-HLGLWH-TJHYDXXYGBXDY', component: AddNursing, meta: { requireAuth: true }, name: 'AddNursing' }, //护理关联维护--添加关联
      { path: 'YXSYK-GYTJGLWH', component: Drugroute, meta: { requireAuth: true }, name: 'Drugroute' }, //给药途径关联维护
      { path: 'LT-GYTJGLWH-TJHYDXXYGBXDY', component: AddDrugroute, meta: { requireAuth: true }, name: 'AddDrugroute' }, //给药途径关联维护--添加关联
      { path: 'YXSYK-ZYJBGLWH', component: Tcmdisease, meta: { requireAuth: true }, name: 'Tcmdisease' }, //中医疾病关联维护
      { path: 'LT-ZYJBGLWH-TJHYDXXYGBXDY', component: AddTcmdisease, meta: { requireAuth: true }, name: 'AddTcmdisease' }, //中医疾病关联维护
      { path: 'YXSYK-ZYZHGLWH', component: Tcmdrome, meta: { requireAuth: true }, name: 'Tcmdrome' }, //中医疾病关联维护
      { path: 'LT-ZYZHGLWH-TJHYDXXYGBXDY', component: AddTcmdrome, meta: { requireAuth: true }, name: 'AddTcmdrome' }, //中医疾病关联维护
      { path: 'YXSYK-MZGLWH', component: Hemp, meta: { requireAuth: true }, name: 'Hemp' }, // 麻醉关联维护
      { path: 'LT-MZGLWH-TJHYDXXYGBXDY', component: AddHemp, meta: { requireAuth: true }, name: 'AddHemp' }, // 麻醉关联维护--添加关联



      { path: 'YXSYK-GLWH', component: Correlation, meta: { requireAuth: true }, name: 'Correlation' }, //关联维护设置
      { path: 'XTPZ-DZBLFAPZ', component: Plan, meta: { requireAuth: true }, name: 'Plan' }, //电子病历方案配置
      { path: 'LT-DZBLFAPZ-EDIT', component: AddPlan, meta: { requireAuth: true }, name: 'AddPlan' }, //电子病历方案配置--新增编辑
      { path: 'GZWH-KDHLXGZWH', component: Bill, meta: { requireAuth: true }, name: 'Bill' }, //开单
      { path: 'GZWH-KDHLXGZWH-EDIT', component: AddBill, meta: { requireAuth: true }, name: 'AddBill' }, //开单
      {
        path: 'GZWH-GZWH',
        component: ZskRuleManager,
        name: 'ZskRuleManager',
        meta: { requireAuth: true },
      },
      {
        path: 'GZWH-GZCX',
        component: ZskRuleCheck,
        name: 'ZskRuleCheck',
        meta: { requireAuth: true },
      },
      { // 接口管理-调用记录
        path: 'JKGL-DYJL',
        component: CallRecordManager,
        name: 'CallRecordManager',
        meta: { requireAuth: true },
      },
      {
        path: 'GZWH-GZWH-TJGZ',
        component: AddZskRule,
        name: 'AddZskRule',
        meta: { requireAuth: true },
      },
      ,
      {
        path: 'XTPZ-ZYYWH',
        component: SonHospital,
        name: 'SonHospital',
        meta: { requireAuth: true },
      },
    ],
  },
];
